/****************************************************************************
**
** Copyright (C) 1992-2004 Trolltech AS. All rights reserved.
**
** This file is part of the compatibility classes of the Qt Toolkit.
**
** Licensees holding valid Qt Preview licenses may use this file in
** accordance with the Qt Preview License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef QLOCALFS_H
#define QLOCALFS_H

#include "qnetworkprotocol.h"
#include "qdir.h"

#ifndef QT_NO_NETWORKPROTOCOL

class Q_COMPAT_EXPORT QLocalFs : public QNetworkProtocol
{
    Q_OBJECT

public:
    QLocalFs();
    virtual int supportedOperations() const;

protected:
    virtual void operationListChildren(QNetworkOperation *op);
    virtual void operationMkDir(QNetworkOperation *op);
    virtual void operationRemove(QNetworkOperation *op);
    virtual void operationRename(QNetworkOperation *op);
    virtual void operationGet(QNetworkOperation *op);
    virtual void operationPut(QNetworkOperation *op);

private:
    int calcBlockSize(int totalSize) const;
    QDir dir;

};

#endif // QT_NO_NETWORKPROTOCOL

#endif // QLOCALFS_H
